Menci Software

APS

Mise à jour version. 6.0.1

Menci Software - APS - Copyright © 2013

WebSite: http://www.menci.com - E-Mail: info@menci.com


What is APS

APS

Automatic photogrammetric processing station

APS est une chaine de traitement photogrammétrique puissante et complète pour traiter des données importantes et précises issues de drones.
APS a une interface qui permet à l’utilisateur de traiter les données étapes par étapes ou bien en tout automatique.
il permet de traiter sur votre station fixe ou mobile des images aériennes de petit format à moyen format pour produire de la données 2d ou 3d de précision centimétrique.

APS possède deux modules extension: StereoTools et Google Earth Tiler.


Main Features

Spécificités techniques du Logiciel

Mise à jour Ver. 6.0.1

  • Importation des images de Drone/UAV (TIF, JPG)
  • Importation des images sans données IMU
  • Calibration de Camera avec génération de fichiers
  • Extraction de données GPS depuis métadonnées EXIF
  • Importation de données GPS dans tous les formats
  • Sélection montage camera
  • Cinq possibilités de triangulation avec paramètres éditables
  • Importation de points d’appui GCP, mesures relatives et visualisation
  • Réglage balance des couleurs
  • Génération automatique de MNS
  • Génération de courbes de niveaux
  • Génération automatique de texture sur TIN / visualisation
  • Filtrage automatique du MNT selon des scénarios prédéfinis
  • Génération des lignes de raccord et édition dans mosaïque
  • Configuration Tuiles et importation
  • Génération ortho-mosaïque
  • Orthomosaic correction editor
  • Génération de nuages de points 3D et visualisation
  • Toutes les commandes usuelles d’édition CAD
  • Multitraitement et prise en charge processeur carte graphique
  • Démarrage traitement Batch (par lots) en ligne de commande et génération de produit en Batch
  • Prise en charge de toutes les langues

Vue générale de la chaine de traitement

Pré-requis machine pour le logiciel

§ Systèmes d’exploitation: Vista / Seven / 8

§ CPU: Intel i3 / i5 / i7 / ou autres

§ RAM: 4 GB et plus

§ GPU: nVidia GeForce / Quadro ou autre

§ Disque dur : 7200 tours par minutes de préférence

APS est disponible en version 32 ou 64 bit

Les images orientées sont prêtes pour la collecte en stéréo de données cartographiques de vecteurs 3d (StereoTools and Z-Map).

Une version temporaire d’évaluation est disponible pour tester APS avec vos jeux de données.


Workspace

Espace de travail

Quand le logiciel démarre la fenêtre suivante s’ouvre.

Vous pouvez alors presser "Nouveau" [image] ou "Ouvrir" [image] un projet existant ou accéder aux fonctions du Bouton principal.

Au milieu de la fenêtre, l’espace de travail s’affichera.

En haut se trouve la Barre d’Outils depuis laquelle vous pouvez accéder aux différents onglets thématiques tel que ("Tools", "CAD", etc).

At the left of the workspace there is the workflow window, who shows you the sequence of intermediate actions/products available and their completeness state.

At the bottom there is a "Log Output", where status messages are displayed while processes get developed.


Main button

Le Bouton principal du Menu

Le Bouton principal du Menu du logiciel APS vous donne accès à des fonctions supplémentaires et vous montre les projets récemment ouvert.

  • La fonction « Nouvelle calibration de Caméra » vous permet d’extraire automatiquement un fichier Caméra depuis un jeu de données de calibration.

  • Evaluation du contraste est un outil qui permet automatiquement de mettre en évidence les images avec un contraste pauvre. Il est pratique pour vérifier un grand nombre de données images et pour localiser celles qui sont bougées ou hors champs.

  • Tester le Statut du GPU (processeur de carte graphique) applique un test à la carte graphique. Si votre ordinateur prend en charge le processeur graphique pour les calculs d’APS, alors les options GPU seront activées. Ce test est réalisé automatiquement au premier démarrage d’APS.

  • Capture d’écran permet la capture de la vue courante et l’enregistre dans un sous dossier nommé « capture d’écran ».

  • Redémarrer le traitement est pratique quand la triangulation a été interrompu pour une quelconque raison. Vous pouvez alors relancer la triangulation du bloc depuis la dernière étape valide du calcul.


Toolbars

La barre d’outils

LA BARRE PRINCIPALE D’OUTILS

Voici la barre principale d’outils:

A travers cette barre vous pouvez ouvrir ou créer un nouveau projet, afficher ou cacher les couches ou les fenêtres ou encore obtenir des informations sur APS.

Conseil: remplissez s’il vous plait le formulaire “information utilisateur”: cela est utile pour Menci de pouvoir vous identifier pour vous répondre en cas d’envoi de rapport lorsqu’arrive un problème ou un incident.

Si vous faites l’évaluation d’APS, vous pouvez envoyer votre avis à Menci directement ou en écrivant à francesca.ceccaroni@menci.com.

La section mesures inclus des outils de mesure de distance et de surface. La section Vue comporte des boutons d’activation ou désactivation de certains éléments dans l’espace de travail( emprise des images, positions de la caméra...).

Si dans la vue générale le bouton image est activé et que la position de caméra est visible, vous pouvez ouvrir une image en cliquant sur la position du drone. Alors vous pouvez ensuite faire défiler les images avec les touches droite-gauche du clavier.

La section Fenêtre permet d’activer ou non la vue générale de l’espace de travail.

La section Aide fournit des informations générales: Statut du projet, donnée utilisateur, les langues disponibles (Sélectionner une langue) et les informations à propos du logiciel APS.

Vous pouvez régulièrement vérifier les mises à jours pour APS en cliquant sur « Obtenir mise à jour » : cela ouvrira un dossier ftp ou se trouve la nouvelle version.

Désinstaller toujours l’ancienne version avant de réinstaller la nouvelle.

A travers les informations du projet, vous pouvez vérifier les résultats obtenus tout au long du traitement.

BARRE DE MENU DAO

Dans la section DAO, vous avez les commandes suivantes:

- Import (importer un dessin DWG)

- Export (exporter le dessin courant en DWG / DXF)

- Dessiner un Point

- Dessiner une ligne

- Dessiner une ligne courbe

- Insérer un texte

- Remplir un polygone fermé avec des hachures.

- Appeler les propriétés d’une entité

- Effacer les entités sélectionnées

- Copier les entités sélectionnées

- Déplacer les entités sélectionnées

- Faire rotation des entités sélectionnées

- Changer échelle entités sélectionnées

- Faire un effet miroir sur entités sélectionnées

- Etendre la ligne courante jusqu’à l’entité

- ajuster la ligne courante

- Sélectionner les options du dessin

- Gestionnaire de couches

- Sélectionner l’ordre d’affichage des couches

- Epaisseur de ligne

- Activer accrochage Object

- Activer la grille dessin

LA BARRE DE MENU ORTHOPHOTO

Dans la section Orthophoto vous trouverez les commandes suivantes:

- Sélectionner Edition: sélectionner votre application préférée d’édition d’image.(Erdas Imagine ou GIMP). Vous devez rentrer le chemin vers l’exécutable ici.

- Editer la taille des tuiles (pixel): la taille en pixel des tuiles

- Activation de l’édition: active ou désactive l’ouverture de l’édition lorsque l’on clique sur l’Orthophoto.

- Appliquer ou ignorer les changements.

LA BARRE D’OUTIL STEREO

La barre d’outils Stereo inclue deux options pour exporter la donnée validée vers un projet StereoTools de restitution existant ou un nouveau.

StereoTools est un outil facile pour un restituteur et permet de collecter du vecteur en 3d. Il peut utiliser directement un MNT et un bloc d’images triangulées par APS.

Conseil: StereoTools doit être installé et un dongle USB connecté pour accéder à ces outils, c’est une solution autonome.


WorkFlow Bar

Barre Traitement

Quand un projet est ouvert, vous pouvez voir la barre de traitement dans la partie gauche de la fenêtre.

Elle montre les commandes dans l’ordre de traitement classique Workflow, du haut en bas. En cliquant sur une icone vous lancer l’opération de traitement. L’ampoule à gauche permet d’afficher ou non le résultat dans la vue générale. Depuis le triangle à droite des icones vous pouvez ouvrir un menu supplémentaire avec d’autres commandes utiles pour ce type de données produites.

Truc: Vous pouvez suivre le traitement dans l’ordre ou passer directement à la production d’Ortho photo: APS construit alors toutes les étapes intermédiaires nécessaire pour compléter cette tâche.


Camera Passport Extraction

Création du fichier de caméra issu de la Calibration

APS permet de générer un fichier de calibration de l'appareil photo à partir de votre propre jeu de données. Le fichier que vous obtenez ne peut pas avoir la fiabilité d'un fichier caméra standard (obtenu par un procédé de calibration de la caméra fait par nos soins), mais il est utile à des fins d'évaluation. S'il vous plaît noter que tous les résultats obtenus par APS dépendent de l'exactitude du fichier de calibration de caméra, aussi vous avez besoin de sélectionner un ensemble de données qui se prête à cette procédure de calibration.
Le fichier généré est chiffré et ne peut être utilisé qu’à l'intérieur de la solution pour drone APS.
L'ensemble de données, qui doit être utilisé pour la génération d’un fichier de calibration doit avoir certaines caractéristiques:
• Au moins 24 photos, subdivisées en 4 bandes sur une surface carrée.
• Toutes les images doivent être presque au Zénith.
• Chaque image doit avoir environ 80% de recouvrement avec la précédente. Un recouvrement de 60% est convenable entre les bandes.
• Pas d'images floues ou bougées à l'intérieur du jeu de données.
• Toutes les images doivent être prises à la même altitude.
• Une terre «à plat» sans arbres est préférable.

Le processus d'étalonnage doit être effectué sur un ensemble de données "standard", avec le même format d'image et même qualité (JPG +EO) normalement utilisé dans un scénario de travail.

Vous pouvez accéder à la procédure d'étalonnage une fois qu’APS est ouvert, à partir du bouton principal en haut à gauche de l'interface:

Alors il vous faut remplir les champs d’un projet APS : nom du projet…

Le processus de génération du fichier de calibration est automatique.

Lorsque le calcul est terminé sans erreur une boite de dialogue apparait ou l’on peut donner un nom de caméra au fichier de calibration.

Le nouveau fichier de camera est alors disponible pour être utilisé dans un projet APS normal.

Si des erreurs sont signalées, refaire le processus de traitement ou bien changer de jeu de données et relancer le calcul pour la camera à définir.

ASTUCE: le logiciel APS peut évaluer la taille de pixel de l'image de la caméra en prenant des informations (métadonnées) EXIF associées aux images, mais celles-ci pourraient ne pas être complètes ou supprimées par une transformation précédente du format des images.

Dans ce cas, APS vous demandera la valeur de la taille du pixel (en mm). Vous pouvez obtenir cette valeur par vous-même par l'application de cette formule:

Taille de pixel mm = [(capteur Largeur mm / Largeur de l'image en Pixel) + (capteur Hauteur mm / Hauteur de l'image en Pixel)] / 2.0

La largeur et la hauteur du Capteur en mm peuvent être obtenues sur les sites Web du fabricant de l'appareil photo ou sur le site spécialisé comme www.DPreview.com.

Vous pouvez obtenir la Largeur de l'image en Pixel et Hauteur de l'image en Pixel directement depuis les propriétés de votre jeu de données.


Initial checkup

Vérification initiale

  • Vérifier votre espace disque: Un projet APS produit de la donnée en générale avec un ordre de grandeur fois 5 par rapport à la donnée initiale, cela dépend aussi de l’AOI du projet.
  • Faire si besoin une division du bloc en deux ou plusieurs sous partie. APS peut calculer plus des milliers d’images dans un seul bloc mais il est préférable de ne pas faire le calcul de bloc d’une taille de 2000 images à la fois car cela prend beaucoup de temps.
  • Avez vous un fichier camera ? Si ce n’est pas le cas vous pouvez le produire par calibration depuis un jeu de données en utilisant procédure automatique.
  • Vérifier les images:
    • Effacer les images du décollage ou encore celles de l’atterrissage
    • Rechercher les images troubles, floues, bougées, ou hors champs.
    • Effacer les images en virage avec de forts angles hors champs
  • Vérifier les données GPS: APS nécessite des images « marquées » des coordonnées GPS depuis les métadonnées EXIF ou bien depuis un fichier externe. Les angles IMU sont préférables mais pas obligatoire.


Nouveau projet

Créer un nouveau projet

  1. Sélectionner un nom et un fichier caméra
  2. Importer données GPS/IMU
  3. Importer les images
  4. Sélectionner une stratégie de triangulation de bloc
  5. (optionnel) Paramétrer un traitement en Lot

Nom et fichier camera

Un Projet APS est subdivisé en deux étapes principales: la première étape consiste dans la mise en place et la triangulation du bloc ; la deuxième étape est la production des produits à partir du bloc calculé ( MNS, Rendu de surface, MNT, courbes de niveaux, Orthomosaic).

Après avoir pressé le bouton New une boite de dialogue vous guide pour les premiers dans la mise en place des données pour le bloc

Sélectionner un dossier de projet et un nom.

Ensuite sélectionner le fichier caméra correspondant à vos images. Si Menci vous a fourni un fichier caméra cvc, vous pouvez l’importer, ou alors vous pouvez extraire ou créer votre propre fichier de caméra calibrée en reprenant un certificat de calibration.

Données GPS/IMU

Après l’entrée du nom de projet et l’importation d’un fichier camera, le Bouton d’import des données GPS sera active. Sélectionner un fichier ASCII comportant les données GPS/IMU des positions de la caméra pour chaque images.

Conseil: Si vos données GPS sont incluses dans les métadonnées EXIF, Sélectionner l’option « depuis exif », en choisissant cette option vous lancerez un projet sans données IMU.

En haut de la fenêtre vous pouvez changer les mots clés pour analyser le fichier asccii avec les commentaires et le séparateur. De plus vous pouvez réassigner les entêtes de colonnes en fonction des valeurs des données.

APS accepte différentes expressions des coordonnées GPS suivant les conventions géographiques.

Le format standard est :

ID |Latitude | Longitude | Height (Above Mean Sea Level AMSL et wgs84)| Yaw | Pitch |Roll

Mais vous pouvez spécifier un format différent en sélectionnant les options comme ci dessous

Vous pouvez assigner les formats angulaires également. Si vous n’avez pas d’information sur les angles, vous pouvez les effacer en cliquant sur la colonne spécifique :

Avec Montage caméra, vous pouvez définir le sens d’orientation de la caméra par rapport au drone comme ci-dessous :

Vous pouvez changer le système de coordonnées grâce au Bouton [image] .

Il est suggéré de vérifier le système de coordonnées sélectionné en cliquant sur le Bouton Vérifier (une connexion internet est requise).

Il faut au final cliquer sur le Bouton « Sélectionner tous » pour analyser et importer toutes les données de trajectographie des images dans le projet.

LES IMAGES

Sélectionner les images qui doivent être importées dans le projet. Vous pouvez les choisir par l’explorateur (sélectionner les par fichiers ou par dossier) ou à l’aide de Plan de vol.

Toutes les images vont être orientées en interne par rapport au fichier caméra et les données GPS associées. Les images sans information seront écartées du projet.

Dans le mode Plan de Vol (une connection internet est requise pour pouvoir voir dans Google Map les Centres perspectifs des images avec la trajectographie). Vous verrez les noms des images sur la carte.

Toutes les images sont initialement sélectionnées par défaut. Vous pouvez exclure une ou plusieurs images en les entourant avec un polygone à l’aide de la souris. All images are initially selected by default. You can exclude one or more images by surrounding them with a poligon drawn with your mouse.

Conseil: Vous devez importer une donnée continue sans trou.

Vous verrez les images sélectionnées dans la boite de dialogue.

STRATEGIE DE TRIANGULATION DE BLOC

APS permet de choisir parmi cinq stratégies différentes de calcul de bloc. La stratégie par défaut est « Corrélation avec GPU » si la prise en charge du GPU est activée ou bien « Corrélation par modèle ».

Vous pourrez utiliser les autres stratégies en fonction des besoin spécifiques du projet pour lier les images entres elles.

Stratégie de Corrélation

Description basique

Paramètres Avancés

Modèle

Stratégie de Corrélation standard.
  • Nombre d’images voisines (default 20):integer, [4-50]
  • Nombre Minimum de corrélation (default 32):integer,[12-64]
  • Seuil tolérance plan épipolaire en pixel (default2.0):real,[0.5-10.0]
  • Rayon de recherche en pixel (default 80):integer,[50-1000]
  • Taille de la Fenêtre Modèle de tentative en pixel (default 25):integer,[13-49]
  • Taille de la fenêtre de cible en pixel (default 25):integer,[0-45]
  • Seuil de corrélation (default 0.7):real, [0.45-0.90]

Flux Optique

Suggéré pour les vols avec de nombreuses images couleurs monotones (radiométrie pauvre)
  • Nombre d’images voisines (default 13): integer,[4-50]
  • Nombre Minimum de corrélation (default 32):integer,[12-64]
  • Seuil tolérance plan épipolaire en pixel (default 2.0):real,[0.5-10.0]
  • Taille de la Fenêtre Modèle de tentative en pixel (default 30):integer,[8-64]
  • Nombre de niveaux de Pyramides(default 1):integer,[1-5]
  • Modèle de données aberrantes taille de la fenêtre en pixels (default 48): integer,[21-129]
  • Cibles aberrantes taille de la fenêtre en pixels (default 56): integer,[Template window-Template window+20]
  • Seuil de corrélation (default 0.4): real,[0.25-0.9]

Corrélation par Descripteur

Suggéré pour les vols avec des bandes non parallèles

  • Nombre d’images voisines (default 20): integer,[4-50]
  • Nombre Minimum de corrélation (default 32):integer,[12-64]
  • Seuil tolérance plan épipolaire en pixel (default1.0): real, [0.5-10.0]

Corrélation par Descripteur amélioré

Suggéré pour les vols en crabe lié au vent

  • Rayon de recherche des images voisines en mètre (default 150): real,[10.0-500.0]
  • Nombre minimum de corrélation (default 24):integer,[12-64]
  • Seuil tolérance plan épipolaire en pixel (default 7.5):real, [0.5-10.0]
  • Nombre d’inclinaisons maîtres (default 3):integer,[1-7]
  • Nombre d’inclinaisons esclaves (default 4): integer,[1-7]

Corrélation avec GPU Descripteur

Suggéré pour les vols dont les bandes ne sont pas parallèles. Cette stratégie n’est pas disponible sans la prise en charge par APS du processeur GPU.

  • Nombre d’images voisines (default20): integer,[4-50]
  • Nombre minimum de points de corrélation (default 32):integer,[12-64]
  • Seuil tolérance plan épipolaire en pixel (default2.0):real,[0.5-10.0]

TRAITEMENT PAR LOT

Si vous souhaitez démarrer la génération de produit MNS, MNT, ortho en traitement par lot, vous pouvez cliquer sur le Bouton “traitement par lot” en bas de la boite de dialogue.

Toutes les interactions de l'utilisateur seront ignorées et les processus se dérouleront de manière entièrement automatique. Si une connexion Internet active est disponible, vous pouvez configurer le client de messagerie afin de recevoir par mail la notification de fin de travail à l'adresse désirée.
Egalement, APS prend en charge le processus de traitement par lot à partir de lignes de commandes. Pour cette fonction avancée, s'il vous plaît demander plus d'informations à Menci Software.


Bundle Orientation Process

Processus d’Orientation du Bloc

APS oriente les images par un ajustement du bloc par faisceaux. Aucune interaction de l'utilisateur n'est nécessaire pendant cette étape.

La procédure s’effectue à travers ces cinq étapes:

1) Importer: Sélectionner les images à importer dans un dossier projet. Les images originales ne sont pas modifiées.

2) Recherche de points d’intérêt: Collecte de points remarquables dans chaque image.

3) Corrélation de ces points d’intérêt: Les points d’intérêt sont corrélés dans les images adjacentes dans le but d’extraire des points de liaisons.

4) Ajustement du bloc: l’orientation externe de chaque image est déterminée à partir de l’ajustement du bloc par faisceaux.

5) Vue Générale: Une vue générale basse résolution est produite dans le but de rendre les étapes suivantes plus simple.

Une fenêtre affiche les options sur les informations affichées dans le rapport d’ajustement du bloc.

On peut voir sur la vue générale la position et le sens de vol du drone pour vérifier la justesse de l’ajustement du bloc et des informations externes produites.


GCP and CP

Points d’appui et points de contrôle

En option vous pouvez insérer et mesurer des points d’appui et des points de contrôle. Ces points doivent être dans le même système de coordonnées que les données du GPS.

Les points d’appui sont utilisés pour affiner et améliorer l’ajustement du Bloc alors que les points de contrôle permettent de vérifier la pertinence du résultat. Leur gestion est la même (importation, mesure et utilisation).

Les modifications sur les points d’appui doivent être réalisées avant la génération de quelque produit que se soit.

En cliquant sur le bouton Points d’appui vous ouvrirez la fenêtre de gestion des points d’appui.

Pour ajouter une nouvelle liste de points, cliquer sur le Bouton Ajouter et ensuite à travers l’explorateur vous pouvez charger la liste de points d’appui.

Cette liste de nouveaux points s’affiche dans la fenêtre de gestion des Points d’Appui. Chaque point comportera les informations suivantes dans le format suivant :

id/longitude/latitude/altitude (vous pouvez vérifier et changer l’ordre après la commande importation).

Une fois obtenu la liste de vos points, fermer la boite de dialogue pour voir s’afficher les points d’appui en surcouche sur vos images dans la vue générale.

En cliquant sur chaque cible vous serez capable d’ouvrir une fenêtre de mesure monoscopique. Celles-ci montrent toutes les images concernées par le point sélectionné.

Vous devez mesurer le point sur chaque image.

Pour mesurer un point, faites un clic gauche (croix verte), pour effacer la mesure faites un clic droit (croix jaune).

Une fois que vous avez mesuré le point sur la première image, le logiciel va accrocher le même point sur toutes les images où il est en recouvrement.

Chaque point devra être vérifié car il pourrait être mal localisé.

Si vous avez mal mesuré le premier point, le logiciel va accrocher la même zone sur les autres images.

Pour corriger l’erreur de pointé, sélectionner encore le point correct et cliquer sur le Bouton Accrochage de point.

Vérifier chaque point mesuré ou accroché dans chaque image pour éliminer les erreurs de mesure.

Les flèches gauche et droite en bas de la fenêtre permettent de changer l’image courante. Pour exclure une image de la mesure, décocher l’image dans la colonne de droite.

Après avoir mesuré tous les points, cliquer sur le bouton Evaluer pour démarrer le calcul de l’orientation externe.

Le résultat du calcul sera affiché pour chaque point mesuré par ses résidus. Différentes couleurs permettent de distinguer les résultats :

Vert : la précision est bonne

Jaune : la précision est moyenne

Rouge : la précision est mauvaise.

La précision dépend de la hauteur de vol et correspond toujours à la dimension de 2 pixels. Deux fois la résolution du sol. Vous pouvez vérifier ces valeurs à travers le bouton « Légende » en bas de la fenêtre de gestion des points d’appui.

Vous pouvez aussi changer les valeurs de précision en tapant de nouvelles valeurs.

MODEL TRANSLATION

Quand les coordonnées du modèle ne correspondent pas à celle des points d’appui car les résidus sur les coordonnées transformées ne sont pas précises, vous pouvez manuellement fixer les écarts en X,Y,Z par une translation dans le modèle.

Pour cela, cliquer sur l’icône flèche qui ouvre un menu supplémentaire pour les points d’appui et sélectionner « Paramétrer Translation »

Dans la partie gauche de la boite de dialogue vous pouvez voir la translation courante (comme la somme de toutes les translations appliqués)

Dans la partie droite vous pouvez cliquer comme expliquer ci-dessous dans la vue générale pour appliquer une nouvelle translation :

On the right you can pick the new translation on the overview:

Cela peut être une translation 2D mais vous pouvez paramétrer le Z aussi.

Une fois piqué la translation, vous pouvez l’appliquer au modèle. Chaque translation est ajoutée à la précédente.

Maintenant vous avez le choix de pouvoir utiliser la translation du modèle ou bien le système d’origine des coordonnées des points d’appui.


AOI

Zone d’intérêt et Zone d’exclusion

Si vous avez besoin de calculer une petite partie du projet ou d’exclure du traitement une partie de la zone d’étude, vous pouvez dessiner un AOI (area of interest) dans la vue générale ou bien une zone d’exclusion de la même façon.

Cliquer sur le bouton AOI (zone d’intérêt) et dessiner un polygone dans la vue générale pour définir l’emprise du projet qui sera traitée.

Cliquer sur le bouton droit de la souris et Sélectionner Entrer”

Si vous voulez exclure une partie de la zone d’intérêt, vous pouvez dessiner une zone d’exclusion. Cliquer sur le bouton Zone d’exclusion et faire comme précédemment.

Vous pouvez ajouter ou supprimer une zone d’intérêt ou d’exclusion. Si vous voulez effacer un AOI cliquer sur le bouton « suivant »et Sélectionner effacer.

NOTER: Quand vous effacez ou mettez à jour une zone d’intérêt AOI, tous les résultats précédent seront effacer !


Radiometric Balancing

Egalisation radiométrique

APS prend en charge l’égalisation radiométrique pour les nuages de points et les Ortho-mosaïques.

Si vous voulez appliquer une correction, vous devez cliquer sur le bouton pour lancer le programme.

Quand le traitement est fini, une vue générale présente le résultat de l’égalisation radiométrique de la mosaïque.


DSM (Surface)

Modèle Numérique de Surface (MNS)

Le traitement MNS permet l’extraction d’un modèle numérique de surface.

Avant de lancer le traitement vous avez besoin de spécifier la résolution en mètre.

Si le réglage de la radiométrie a déjà été effectué, il sera utilisé pour la production d’un nuage de point.

Le logiciel APS demandera alors si l’on souhaite le remplissage automatique des zones de manque. Si on répond oui les zone de manque seront interpolé et les trous comblés.

L’affichage du MNS se fera en utilisant une échelle radiométrique de valeur de couleur. L’échelle côté droit de la vue générale permettra d’interpréter l’altitude.

Pour visualiser le nuage de point en 3D, vous devez faire un clic sur le bouton flèche “plus” et sélectionner « Visualiseur de nuage de point » pour lancer l’application CloudViewer.

Pour exporter le DSM Vous devez cliquer sur le bouton flèche “plus” et Sélectionner “exporter nuage de point” ou bien “Exporter MNS”

Pour l’export du nuage de point vous pouvez choisir entre les formats XYZ ou XYZRGB. Pour le MNS, les formats disponibles sont Geotiff ou ascii.


Mesh

Rendu de surface

Une fois le MNS disponible, APS peut le triangulé et générer un rendu de surface.

Vous pouvez ajouter ou non de la texture au rendu de surface.

Le résultat est alors visible dans la vue de ScanView ( Si vous ne l’avez pas demander le à Menci Software)

Le rendu de surface peut être exporté aux formats de fichier *.vtp, *.obj et *.ply.


DTM (Ground)

MNT (Modèle Numérique de Terrain) /Sol nu

From version 6.0 APS is able to filter the DSM in order to extract a model of the ground.

You are still able to extract a DTM with the old method, using tie points found during the aerial triangulation process. The first solution is suitable and more accurated in most cases.

When you start the DTM command you can select which method apply

If you answer "yes", then you have to select the "scenario" that better suite your dataset (country, suburban, urban and metropolitan), depending on density of over-ground object inside the AOI.

Another customizable parameter is the "curvature threshold", expressed in radians.

Curvature threshold means the limit under which slopes are considered "ground". If also pe is bigger than the curvature threshold, the surface object that includes this slope is removed as over-ground (tree, building,etc.).

Combining the scenario with the curvature threshold you can refine the ground filtering.

(DSM)

(DTM)

If you answer "no" you will have to select the level of detail of DTM, like happened in older APS versions.

Levels go from "very low" to "high": an high level means that the DTM strictly follows the ground morphology, so it is indicated for area without buildings.

Instead a low or very low level provides a DTM which doesn't follow the buildings elevation.

DTM displays elevations using a colorimetric scale. The relationships between colors and elevations will be shown on right side of CAD window.

To export the DTM you have to click on "more" button and select "export". Then you can choose Geotiff or ascii grid output file formats.

If you already have your own DTM you can import it inside APS.


Contour Lines

Courbes de niveaux

Les courbes de niveaux sont générées à partir des points terrain au sol.

Quand vous cliquez sur le bouton Courbes de niveaux, vous devez sélectionner une altitude minimum et maximum et une équidistance.

Après que les courbes de niveaux aient été calculées, elles s’afficheront dans la vue générale sur le MNT.

Vous pouvez afficher/cacher le MNT et les courbes de niveaux en cliquant sur l’ampoule dans la table des matières à gauche de la vue générale.

Vous pouvez exporter les courbes de niveaux en DWG, DXF, depuis le format SHP.


Seamlines

Les Lignes de raccord

APS permet la génération automatique de ligne de raccord et leur édition. C’est un outil pratique pour l’étape suivante de production d’ortho-photo, même s’il n’est pas obligatoire.

Une fois avoir cliqué sur le bouton « Lignes de raccord », le logiciel démarre automatiquement la génération de lignes de raccord.
Si vous passez cette étape, APS va de toutes les manières automatiquement produire des lignes de raccord au moment de la production de l’Orthophoto mais elles ne seront pas éditables.

Une fois le calcul des lignes de raccord terminé, vous pouvez afficher ou non les lignes de raccord avec le Bouton

Il est utile très utiles pour pouvoir voir où il faut absolument éditer la ligne de raccord.

La barre Arrière Plan permet d’éclairer ou assombrir la vue générale. Par ce moyen vous pouvez voir les zones d’intérêt de chaque image.

Les flèches droite et gauche correspondent aux commandes faire et défaire.

Le travail d’édition peut être fait de differents façons:

1 – utiliser la commande [image] la première ligne de raccord sera mise en surbrillance.

Cliquer à l’intérieur de la ligne de raccord pour l’éditer. Cliquer pour dessiner une surface et faire un clic droit sur le Bouton de la souris pour appliquer les changements.

Valider l’édition de la ligne de raccord avec le Bouton [image] qui va vous conduire directement à la prochaine ligne de raccord à éditer.

Depuis le menu Ordre de visite, vous pouvez choisir dans quel ordre vous souhaiter examiner les prochaines lignes de raccord: parmi toutes les lignes de raccord générées; parmi toutes les lignes de raccord seulement validées ou bien encore parmi celle qui n’ont pas encore été éditées.

2 – faire directement l’édition et une fois terminé vous pouvez valider toutes les lignes de raccord avec la commande [image] .

Les lignes de raccord peuvent être exportées ou effacées ou éditées encore avec le menu déroulant « Bonus ». Toute ligne éditer après la génération de l’Orthophoto va nécessiter son calcul à nouveau.


Orthophoto

Pour obtenir une Ortho-mosaïque, vous devez d’abord calculer un MNT. Si le MNT n’est pas encore calculé alors APS va le produire automatiquement.

Avant de commencer le calcul de l’Ortho, vous avez besoin de rentrer la résolution su pixel au sol ou encore appelé la résolution terrain GSD (Ground Sample Distance) résolution, exprimée en mètre.

La valeur proposée est la valeur optimale, mais vous pouvez rentrer une valeur supérieure.

Si l’étape du réglage de l’égalisation radiométrique a été déjà réalisée, ces résultats seront automatiquement intégrés dans le calcul de l’ortho-mosaïque.

Si vous avez besoin de découper l’Ortho-mosaïque en tuiles, vous pouvez rentrer les paramètres en cliquant sur le bouton Configuration Tuiles.

Cette boite de dialogue permet de spécifier l’origine, l’étendu et le recouvrement entre les tuiles. En cliquant sur « Prévisualisation », on peut voir les tuiles paramétrées s’afficher dans l’espace de travail.

This dialog allows you to specify origin, extension and optional overlap between tiles. By clicking on "Preview" the effect of this selection is drawn on workspace.

On peut également importer des tuiles déjà définies aux formats .dwg, .dxf ou encore .shp.

Ensuite une boite de dialogue va demander si l’on veut utiliser les lignes de raccord éditables :

Si des lignes de raccord éditables ont déjà été produites dans une étape précédente, vous pouvez répondre “oui”. APS utilisera des lignes de raccord non éditable dans le cas contraire.

Une feuille prête à l’impression avec l’ortho et la grille des coordonnées va s’afficher automatiquement.

Les orthophotos peuvent être exporté aux formats tif ou jpg à travers le Bouton supplément. L’ortho RGBA quatre bandes peut être exporté uniquement au format tif.

Vous pouvez aussi voir le résultat dans Google Earth en utilisant Google Earth Tiler, un traitement après l’orthophotos qui produit une couche compatible et visible dans Google Earth et Google Maps.


Reports and Project info

Rapport et informations Projet

APS Produits des rapports pour accompagner la donnée produite. Après l’ensemble du traitement, les détails sont enregistrés dans des fichiers rapports.

Vous pouvez accéder à ces rapports à travers le Bouton ‘Plus” dans la barre de traitement.

Depuis la barre d’outil en haut, vous pouvez ouvrir une page “information projet », pour avoir un résumé des traitement réalisés dans le projet.


Orthophoto Editing

Edition Orthophoto

APS rend facile la création d’ortho mosaïque. Dans l’onglet Orthophoto de la barre de menu principale, vous pouvez configurer un logiciel externe pour faire l’édition de l’ortho comme Erdas Imagine.

Ensuite vous devez paramétrer la dimension des tuiles à extraire pour l’édition dans la boite de dialogue "Taille des tuiles à éditer".

Lorsque le bouton [image] est activé, Vous pouvez cliquer sur l’ortho mosaïque : une tuile autour de la position du clic sera alors automatiquement générée et ouverte dans le programme externe d’édition de raster (GIMP - Erdas Imagine)

Vous pouvez alors corriger de manière « cosmétique » les erreurs géométriques éventuelles dans l’ortho. Ensuite sauvegarder la tuile et fermer l’application d’édition d’image.

APS va mettre en surbrillance la zone ( emprise de la tuile) qui a été traité dans l’éditeur d’image.

Vous pouvez alors appuyer sur le Bouton Appliquer les changements [image] pour appliquer tous les changement éffectuer dans la tuiles sur l’orthomosaique originale. Cette opération ne modifie pas les propriétés de calage géographique de l’orthophoto.

Répéter la même procédure pour toutes les autres zones à traiter et exporter l’ortho mosaïque finale.